%define subver		2.0
%define microver	0
%define libage		0.200.8
%define libver		0
%define ver		2.2.8
%define prefix		/usr
%define sysconfdir	/etc
%define desktopdir	/usr/share

Summary:	The GNU Image Manipulation Program
Name:		gimp
Epoch:		2
Version:	%{ver}
Release:	b1
License:	GPL,LGPL
Group:		Applications/Graphics
URL:		http://www.gimp.org/
BuildRoot:	%{_tmppath}/%{name}-%{ver}-root
Docdir:		%{prefix}/doc
Prefix:		%{prefix}
Obsoletes:	gimp-data-min
Obsoletes:	gimp-libgimp
Requires:	gtk2 >= 2.2.2
Requires:	libart_lgpl >= 2.0
Requires:	fontconfig >= 2.2.0
Requires:	gimp-print >= 4.2.0
Conflicts:	gimp-print >= 4.3.0
#Requires:	gtkhtml2 >= 2.0.0
#Requires:	librsvg2 >= @RSVG_REQUIRED_VERSION@
#Requires:	lcms
Requires:	libexif
BuildRequires:	gtk2-devel >= 2.2.2
BuildRequires:	fontconfig-devel >= 2.2.0
BuildRequires:	libart_lgpl-devel >= 2.0
BuildRequires:	gimp-print-devel >= 4.2.0
#BuildRequires:	librsvg2-devel >= 2.0
#BuildRequires:	gtkhtml2-devel >= 2.0.0
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libmng-devel
BuildRequires:	libexif-devel
BuildRequires:	perl-XML-Parser
Source:		ftp://ftp.gimp.org/pub/gimp/v%{subver}/%{name}-%{ver}.tar.bz2

BuildArchitectures: i586


%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

The GIMP includes a scripting facility, but many of the included
scripts rely on fonts that we cannot distribute.  The GIMP FTP site
has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of
the fonts have unusual licensing requirements; all the licenses are
documented in the package.  Get
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz and
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system
before running the scripts.

Install the GIMP if you need a powerful image manipulation
program. You may also want to install other GIMP packages:
gimp-libgimp if you're going to use any GIMP plug-ins and
gimp-data-extras, which includes various extra files for the GIMP.

%package devel
Summary:	GIMP plugin and extension development kit
Group:		Applications/Graphics
Requires:	gtk2-devel
%description devel
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.

Install gimp-devel if you're going to create plug-ins and/or
extensions for the GIMP.  You'll also need to install gimp-limpgimp
and gimp, and you may want to install gimp-data-extras.

%package docs
Summary: GIMP Documentation
Group: Applications/Graphics
%description docs
GIMP documentation

%prep
%setup -q

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --quiet $MYARCH_FLAGS --prefix=%{prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" %configure --prefix=%{prefix} --quiet
fi
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/info $RPM_BUILD_ROOT/%{prefix}/include \
	$RPM_BUILD_ROOT/%{prefix}/lib $RPM_BUILD_ROOT/%{prefix}/bin \
	$RPM_BUILD_ROOT/%{desktopdir}/applications \
	$RPM_BUILD_ROOT/%{desktopdir}/application-registry \
	$RPM_BUILD_ROOT/%{desktopdir}/mime-info
make destdir=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT install

#
# Plugins and modules change often (grab the executeable ones)
#
echo "%defattr (0555, bin, bin)" > gimp-plugin-files
find $RPM_BUILD_ROOT/%{prefix}/lib/gimp/%{subver} -type f -exec file {} \; | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g"  >>gimp-plugin-files

#
# Tips
#
echo "%defattr (444, bin, bin, 555)" >gimp-tips-files

#
# Build the master filelists generated from the above mess.
#
cat gimp-plugin-files gimp-tips-files > gimp.files

# for gimp.desktop
perl -pi -e 's/Name=The GIMP/Name=The GIMP (Photo-retouching)/g' $RPM_BUILD_ROOT/usr/share/applications/gimp-*.desktop
perl -pi -e 's/Name\[ja\]=The GIMP/Name[ja]=The GIMP (フォトレタッチ)/g' $RPM_BUILD_ROOT/usr/share/applications/gimp-*.desktop

perl -pi -e 's/gimp-remote-2.0/gimp-remote-2.2/g' $RPM_BUILD_ROOT/usr/share/applications/gimp-*.desktop
perl -pi -e 's/gimp-2.0/gimp-2.2/g' $RPM_BUILD_ROOT/usr/share/applications/gimp-*.desktop

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gimp.files
##%attr (0555, bin, man) %doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README
#%attr (0555, bin, man) %doc AUTHORS COPYING ChangeLog NEWS README
#%attr (0555, bin, man) %doc docs/*.txt README.i18n README.win32
%defattr (0444, bin, bin, 0555)
%dir %{prefix}/share/gimp/%{subver}
%dir %{prefix}/share/gimp/%{subver}/tips
%dir %{prefix}/lib/gimp/%{subver}
%dir %{prefix}/lib/gimp/%{subver}/modules
%dir %{prefix}/lib/gimp/%{subver}/plug-ins

##%{desktopdir}/applications/gimp-%{subver}.desktop
##%{desktopdir}/application-registry/gimp-%{subver}.applications
##%{desktopdir}/mime-info/gimp-%{subver}.keys
%{desktopdir}/applications/gimp-*.desktop
%{desktopdir}/application-registry/gimp-*.applications
%{desktopdir}/mime-info/gimp-*.keys
%{prefix}/share/gimp/%{subver}/menus/

%{prefix}/share/gimp/%{subver}/brushes/
%{prefix}/share/gimp/%{subver}/fractalexplorer/
%{prefix}/share/gimp/%{subver}/gfig/
%{prefix}/share/gimp/%{subver}/gflare/
%{prefix}/share/gimp/%{subver}/gimpressionist/
%{prefix}/share/gimp/%{subver}/gradients/
%{prefix}/share/gimp/%{subver}/palettes/
%{prefix}/share/gimp/%{subver}/patterns/
%{prefix}/share/gimp/%{subver}/scripts/

%{sysconfdir}/gimp/%{subver}/gimprc
%{sysconfdir}/gimp/%{subver}/gtkrc
%{sysconfdir}/gimp/%{subver}/ps-menurc
%{sysconfdir}/gimp/%{subver}/sessionrc
%{sysconfdir}/gimp/%{subver}/templaterc
%{sysconfdir}/gimp/%{subver}/unitrc
%{sysconfdir}/gimp/%{subver}/controllerrc

%defattr (0555, bin, bin)

%{prefix}/lib/libgimp-%{subver}.so.%{libage}
%{prefix}/lib/libgimp-%{subver}.so.%{libver}
%{prefix}/lib/libgimpui-%{subver}.so.%{libage}
%{prefix}/lib/libgimpui-%{subver}.so.%{libver}

%{prefix}/lib/libgimpbase-%{subver}.so.%{libage}
%{prefix}/lib/libgimpbase-%{subver}.so.%{libver}
%{prefix}/lib/libgimpcolor-%{subver}.so.%{libage}
%{prefix}/lib/libgimpcolor-%{subver}.so.%{libver}
%{prefix}/lib/libgimpmath-%{subver}.so.%{libage}
%{prefix}/lib/libgimpmath-%{subver}.so.%{libver}
%{prefix}/lib/libgimpmodule-%{subver}.so.%{libage}
%{prefix}/lib/libgimpmodule-%{subver}.so.%{libver}
%{prefix}/lib/libgimpthumb-%{subver}.so.%{libage}
%{prefix}/lib/libgimpthumb-%{subver}.so.%{libver}
%{prefix}/lib/libgimpwidgets-%{subver}.so.%{libage}
%{prefix}/lib/libgimpwidgets-%{subver}.so.%{libver}

%{prefix}/share/gimp/%{subver}/images
%{prefix}/share/gimp/%{subver}/misc
%{prefix}/share/gimp/%{subver}/themes
%{prefix}/share/gimp/%{subver}/tips/gimp-tips.xml

%{prefix}/share/locale/

##%{prefix}/bin/gimp-%{subver}
##%{prefix}/bin/gimp-remote-%{subver}
%{prefix}/bin/gimp-[0-9]*
%{prefix}/bin/gimp-remote-[0-9]*

%defattr (0444, bin, man)

%{prefix}/share/man/man1/*
%{prefix}/share/man/man5/*

%files devel
%defattr (0555, bin, bin, 0555)
%{prefix}/bin/gimptool-2.0
%{prefix}/lib/*.so
%{prefix}/lib/*.la
%dir %{prefix}/lib/gimp/%{subver}
%dir %{prefix}/lib/gimp/%{subver}/modules
%{prefix}/lib/gimp/%{subver}/modules/*.la

%defattr (0444, root, root, 0555)
%{prefix}/lib/pkgconfig/gimp-2.0.pc
%{prefix}/lib/pkgconfig/gimpui-2.0.pc
%{prefix}/lib/pkgconfig/gimpthumb-2.0.pc

%dir %{prefix}/include/gimp-%{subver}/libgimpbase
%{prefix}/include/gimp-%{subver}/libgimpbase/*

%dir %{prefix}/include/gimp-%{subver}/libgimpmath
%{prefix}/include/gimp-%{subver}/libgimpmath/*

%dir %{prefix}/include/gimp-%{subver}/libgimpmodule
%{prefix}/include/gimp-%{subver}/libgimpmodule/*

%dir %{prefix}/include/gimp-%{subver}/libgimpthumb
%{prefix}/include/gimp-%{subver}/libgimpthumb/*

%dir %{prefix}/include/gimp-%{subver}/libgimpwidgets
%{prefix}/include/gimp-%{subver}/libgimpwidgets/*

%dir %{prefix}/include/gimp-%{subver}/libgimpcolor
%{prefix}/include/gimp-%{subver}/libgimpcolor/*

%{prefix}/share/aclocal/gimp-2.0.m4

%{prefix}/include/gimp-%{subver}/libgimp

%files docs
%{prefix}/share/gtk-doc/html/libgimp
%{prefix}/share/gtk-doc/html/libgimpbase
%{prefix}/share/gtk-doc/html/libgimpcolor
%{prefix}/share/gtk-doc/html/libgimpmath
%{prefix}/share/gtk-doc/html/libgimpmodule
%{prefix}/share/gtk-doc/html/libgimpthumb
%{prefix}/share/gtk-doc/html/libgimpwidgets


%changelog
* Tue Jul 19 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.8
* Tue May 10 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.7
* Mon Apr 11 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.6
* Sun Feb 27 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.4
* Sun Jan 23 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.3
* Tue Jan 11 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.2
* Thu Dec 30 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2.1
* Sun Dec 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2
* Wed Nov 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.2-pre2
* Thu Nov 4 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.0.6
* Mon Sep 27 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.0.5
* Tue Aug 10 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.0.4
* Sun Jul 18 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.0.3
* Thu Jul 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.0.2
* Wed Apr 14 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 2.0.1
* Sun Apr 4 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
